class MoneyDt
    include Comparable

    # Two MoneyDt objects are compared on the basis of their amount up to the cents
    #
    # Arguments:
    #   another: MoneyDt
    #
    def <=>(another)
        if self.currency == another.currency
            self.amount.round(2) <=> another.amount.round(2)
        else
            another_converted = another.convert_to(self.currency)
            self.amount.round(2) <=> another_converted.amount.round(2)
        end
    end
end
